/**
 * @overview Life of German Reallife - Login index.js
 * @author VegaZ, hydrant
 * @copyright (c) 2008 - 2018 Life of German
 **/

let globalData: GlobalData = {
    InTuning: false,
    HideGui: false,
    InChat: false,
    LoggedIn: false,
    InInput: false,

    get InMenu(): boolean {
        return inMenu;
    },
    set InMenu(value: boolean) {
        inMenu = value;

        mp.gui.chat.show(!value);
    }
};

var inMenu = false;

mp.game.vehicle.defaultEngineBehaviour = false;

import vehicleEntering from './vehiclesync/entering';
vehicleEntering(globalData);

import wanteds from './Gui/wanteds';
wanteds(globalData);

import playerBlips from './Gui/blips';
playerBlips();

import jobMain from './Jobs/main';
jobMain(globalData);

import cityHall from './Gui/cityhall';
cityHall(globalData);

import adminSpeed from './admin/aspeed';
adminSpeed();

//import voice from './Voice/main';
//voice(globalData);

import handMoney from './Gui/handmoney'
handMoney();

import business from './Business/main';
business(globalData);

import cardealer from './Business/cardealer';
cardealer(globalData);

import charCreator from './CharCreator/main';
charCreator(globalData);

import coloredHeadLights from './coloredhlights/index';
coloredHeadLights();

import doorManager from './DoorManager/doormanager';
doorManager();

import factionManagement from './FactionManagement/main';
factionManagement();

import deathScreen from './Gui/deathscreen';
deathScreen();

import Infobox from './Gui/infobox';
Infobox(globalData);

//import nametags from './Gui/nametags';
//nametags();

import playerList from './Gui/playerlist';
playerList();

import inventory from './Gui/Inventory/inventory';
inventory(globalData);

import vehicleMenu from './Gui/vehiclemenu/main';
vehicleMenu(globalData);

import interiors from './Gui/interiors';
interiors(globalData);

import factionInteraction from './Interaction/factioninteraction';
factionInteraction(globalData);

import worldInteraction from './Interaction/worldinteraction';
worldInteraction();

import playerInteraction from './Interaction/playerinteraction';
playerInteraction(globalData);

import interactionMenu from './Interaction/interactionmenu';
interactionMenu(globalData);

import Login from './Login/main';
Login(globalData);

import dutyCloth from './Player/dutycloth';
dutyCloth(globalData);

import keys from './Player/keys';
keys(globalData);

import quitHandler from './Player/quit';
quitHandler();

import freeCam from './Player/freecam';
freeCam();

import saveManager from './Save/main';
saveManager();

import speedometer from './Speedometer';
speedometer(globalData);

import tuning from './Tuning/main';
tuning(globalData);

import tuningSync from './Tuning/sync';
tuningSync();

import sirenSilence from './Tuning/sirensilence';
sirenSilence();

import waypointUtil from './util/waypoint';
waypointUtil();

import vehicleSync from './vehiclesync/vehiclesync';
vehicleSync();

import smoothThrottle from './vehiclesync/smoothtrottle';
smoothThrottle();

import vehicleIndicators from './vehiclesync/vehicleindicators';
vehicleIndicators();